Imports System
Imports System.Collections.Generic
Imports System.Text
Imports System.Threading

Namespace Components
    Public Class MyComponent
        Public Sub DoMethod()
        End Sub

        Public Sub DoAuthenticatedMethod()
            If Not My.User.CurrentPrincipal.Identity.IsAuthenticated Then
                Throw New ApplicationException("認証されていません")
            End If
        End Sub
    End Class
End Namespace
